#!/bin/ksh
#

source /opt/modules/init/bash
module load intel/13.0.1

set -xuve

#F90=gfortran 



F90=ifort
which ifort

#F90FLAGS="-g -traceback -O2 -debug full -static -mcmodel=medium -r8 -i4 -openmp"
#F90FLAGS="-g -traceback -O0 -r8 -i4 -openmp"
F90FLAGS="-g -traceback -r8 -static -O0 -debug all -check all"
#F90FLAGS=""

CMOR=/scratch/cfu/opt/cmor-2.7.1-specs_update/intel13
NetCDF=/scratch/cfu/opt2/netcdf-4.1.3/intel
#NetCDF=/scratch/cfu/opt/netcdf-3.6.3/intel12
#NetCDF=/scratch/cfu/opt/netcdf-4.1.3/intel13 #latest working version
#NetCDF=/scratch/cfu/opt/netcdf-4.1.3.old/intel12 #working!!!!!
UDUNITS=/scratch/cfu/opt/udunits-2.1.24/intel13
UUID=/scratch/cfu/opt/uuid-1.6.2/intel13
HDF5=/scratch/cfu/opt2/hdf5-1.8.10/intel
LD_LIBRARY_PATH=/scratch/cfu/opt2/netcdf-4.1.3/intel/lib:${LD_LIBRARY_PATH}
LD_LIBRARY_PATH=/scratch/cfu/opt2/hdf5-1.8.10/intel/lib:${LD_LIBRARY_PATH}
LD_LIBRARY_PATH=/scratch/cfu/opt2/szip-2.1/intel/lib:${LD_LIBRARY_PATH}
#HDF5=/scratch/cfu/opt/hdf5-1.8.8/intel13 #latest working version
#ZLIB=/scratch/cfu/opt/zlib-1.2.5/intel13  #latest working version
ZLIB=/scratch/cfu/opt2/szip-2.1/intel

$F90  $F90FLAGS  specs2cmor.f90 -o specs2cmor \
      -L${CMOR}/lib -lcmor \
      -I${CMOR}/include \
      -L${UUID}/lib -luuid \
      -I${UUID}/include \
      -L${UDUNITS}/lib -ludunits2 -lexpat \
      -I${UDUNITS}/include \
      -L${NetCDF}/lib -lnetcdff -lnetcdf \
      -I${NetCDF}/include \
      -L${HDF5}/lib -lhdf5_hl -lhdf5 -lz\
      -I${HDF5}/include \
      -L${ZLIB}/lib -lsz \
      -I${ZLIB}/include
